Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Delete User-Level Push Alias

Delete the push alias set by a user for a specified user (targetId). Only one alias can be deleted at a time.

Upon successful deletion, the push notifications sent by the IM service will carry the username registered by the sender (/user/register.json) or updated user information (/user/refresh.json).

tip

If the user has set a Group Member Push Alias, after deleting the User-Level Push Alias, the group message push notifications will display the Group Member Push Alias. For details, see Set Group Member Push Alias.

Request Method

POST: https://Data Center Domain/user/remarks/del.json

Signature Rule: All server API requests must undergo signature verification. For details, see API Request Signature.

Rate Limit: 100 requests per second

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and the following HTTP form parameters are supported:

ParameterTypeRequiredDescription
userIdStringYesThe operator's user ID.
targetIdStringYesThe user ID whose push alias is to be deleted.

Request Example

POST /user/remarks/del.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

targetId=aaee0319&userId=qq

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200
}